## readerwriterqueue 1.0.2

=== debian/changelog ===
readerwriterqueue (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jul 2020 14:12:14 +0200

readerwriterqueue (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #964057)

 -- Steffen Moeller <moeller@debian.org>  Tue, 30 Jun 2020 23:15:23 +0200
