=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C tests/unittests/
	$(MAKE) -C benchmarks/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo | ./tests/unittests/unittests
	benchmarks/benchmarks
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f tests/unittests/unittests
	rm -f tests/stabtest/stabtest tests/stabtest/log.txt
	rm -f benchmarks/benchmarks
