## readerwriterqueue 1.0.3

=== debian/changelog ===
readerwriterqueue (1.0.3-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.3
  * Remove useless license file

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 24 Sep 2020 22:05:06 +0530
