## readerwriterqueue 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,5 +5,7 @@
 
 add_library(${PROJECT_NAME} INTERFACE)
 
-install(FILES atomicops.h readerwriterqueue.h LICENSE.md
+target_include_directories(readerwriterqueue INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})
+
+install(FILES atomicops.h readerwriterqueue.h readerwritercircularbuffer.h LICENSE.md
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
