=== debian/changelog ===
readerwriterqueue (1.0.5-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.5
  * Declare compliance with policy 4.5.1
  * Propagate hardening options to fix blhc
  * Install readerwritercircularbuffer.h to /usr/include

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:53:43 +0530
