## readerwriterqueue 1.0.6

=== debian/changelog ===
readerwriterqueue (1.0.6-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.6
  * Updated standards version (4.6.1)
  * Updated copyright year (2022)

 -- Lance Lin <LQi254@protonmail.com>  Mon, 15 Aug 2022 20:52:19 +0700
