=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_build:
 	$(MAKE) -C tests/unittests/
@@ -19,6 +19,10 @@
 	benchmarks/benchmarks
 endif
 
+override_dh_install:
+	find debian/ -name "LICENSE.md" -delete
+	dh_install
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f tests/unittests/unittests
