=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%readerwriterqueue-$1.tar.gz%" \
   https://github.com/cameron314/readerwriterqueue/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
