=== debian/changelog ===
readerwriterqueue (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.7
  * d/clean: new declare files needing cleansing.
  * d/rules: simplify.
    Notably remove dh_clean override, since this is handled by d/clean.
  * d/control: declare the package Architecture: any.
    This is due to cmake files with architecture dependent content.
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.
  * d/watch: convert to Github uscan template version 5.

 -- Étienne Mollier <emollier@debian.org>  Fri, 27 Feb 2026 17:05:16 +0100
