=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: readerwriterqueue
 Section: devel
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Homepage: https://github.com/cameron314/readerwriterqueue
 Vcs-Browser: https://salsa.debian.org/med-team/readerwriterqueue
 Vcs-Git: https://salsa.debian.org/med-team/readerwriterqueue.git
-Rules-Requires-Root: no
 
 Package: libreaderwriterqueue-dev
-Architecture: all
+Architecture: any
 Section: libdevel
 Depends: ${misc:Depends}
 Description: single-producer, single-consumer lock-free queue for C++
