=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_build:
	$(MAKE) -C tests/unittests/
	$(MAKE) -C benchmarks/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo | ./tests/unittests/unittests
	benchmarks/benchmarks
endif

execute_before_dh_install:
	find debian/ -name "LICENSE.md" -delete
