=== debian/watch ===
Version: 5

Template: Github
Project: readerwriterqueue
Owner: cameron314
